# TODO
# - gtk ui
# - make calls missing etags
Summary:	Program for bidirectional synchronization
Summary(pl.UTF-8):	Program do synchronizacji dwukierunkowej
Name:		unison
Version:	2.40.102
Release:	1
License:	GPL
Group:		Daemons
Source0:	http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/%{name}-%{version}.tar.gz
# Source0-md5:	42caf869f40440ed0e75eef07a605b2e
Source1:	%{name}.init
URL:		http://www.cis.upenn.edu/~bcpierce/unison/
BuildRequires:	ocaml
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unison is a file-synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, and then brought up to date by propagating the changes in
each replica to the other.

%description -l pl.UTF-8
Unison to narzędzie do synchronizacji plików dla uniksów i Windows.
Pozwala na przechowywanie dwóch kopii zbioru plików i katalogów na
różnych maszynach (lub różnych dyskach tej samej maszyny), oddzielne
modyfikowanie ich, a następnie uaktualnianie poprzez propagowanie
zmian z każdej z kopii do drugiej.

%package init
Summary:	Init script for system-wide unison service
Summary(pl.UTF-8):	Skrypt init dla ogólnosystemowej usługi unison
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description init
Init script for system-wide unison service. Don't run this unless you
know the security risks involved.

%description init -l pl.UTF-8
Skrypt init dla ogólnosystemowej usługi unison. Nie należy go
uruchamiać nie zdając sobie sprawy ze związanych z tym zagrożeń
bezpieczeństwa.

%prep
%setup -q

%build
%{__make} -j1 \
	UISTYLE=text

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/rc.d/init.d}
install -p unison $RPM_BUILD_ROOT%{_bindir}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun init
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README BUGS.txt CONTRIB NEWS ROADMAP.txt TODO.txt
%attr(755,root,root) %{_bindir}/%{name}

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%changelog
* Mon Dec 17 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/unison.git;a=log;h=master

* Mon Dec 17 2012 Jan Rękorajski <baggins@pld-linux.org> 5cd1d72
- updated to 2.40.102

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> b8bbf86
- Up to 2.40.63

* Mon Mar 29 2010 Elan Ruusamäe <glen@pld-linux.org> 0a59637
- deps for initscript
- make -j1

* Mon Mar 29 2010 Elan Ruusamäe <glen@pld-linux.org> 130b76a
- unify with template.init

* Thu Oct 08 2009 arvenil <arvenil@pld-linux.org> 06bd8cc
- up to 2.32.52 (not tested yet)

* Thu Mar 13 2008 aredridel <aredridel@pld-linux.org> 4c3c556
- 2.27.57

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 56eb0c1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cdd1c2c
- converted to UTF-8

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> aa080d4
- remove remnants from template.init

* Mon Sep 26 2005 zbyniu <zbyniu@pld-linux.org> e722fec
- up to 2.13.16

* Fri Jul 08 2005 aredridel <aredridel@pld-linux.org> 76e23d4
- up to 2.12.0

* Sun Jun 26 2005 darekr <darekr@pld-linux.org> 9453fae
- killed needless def

* Fri Apr 08 2005 matowy <matowy@pld-linux.org> 19e9436
- oops it is necessary

* Fri Apr 08 2005 matowy <matowy@pld-linux.org> 6db5d20
- fix build -init subpackage

* Sun Apr 03 2005 heretyk <heretyk@pld-linux.org> e9450c6
- up to 2.10.2

* Fri Dec 03 2004 Jakub Bogusz <qboosh@pld-linux.org> 610a19a
- pl and dep for -init

* Fri Dec 03 2004 aredridel <aredridel@pld-linux.org> d492035
- added optional init script

* Fri Apr 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 9121cce
- pl, cosmetics

* Wed Mar 24 2004 aredridel <aredridel@pld-linux.org> de88bb9
- added

* Thu Jan 29 2004 aredridel <aredridel@pld-linux.org> 2adacf0
- added

